﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default2.aspx.cs" Inherits="Default2" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Charting" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptBlock runat="server">
            <script type="text/javascript">
                function pageLoad() {

                    var chart1 = $find("<%=RadChart1.ClientID%>");
                    var chart2 = $find("<%=RadChart2.ClientID%>");

                    $addHandler(chart1._plotAreaElement, "scroll", onScroll1);
                    $addHandler(chart2._plotAreaElement, "scroll", onScroll2);
                }

                function onScroll1(arg) {
                    var chart1 = $find("<%=RadChart1.ClientID%>");
                    var chart2 = $find("<%=RadChart2.ClientID%>");

                    chart2.scroll(chart1.get_xScrollOffset(), chart1.get_yScrollOffset());
                }

                function onScroll2(arg) {
                    var chart1 = $find("<%=RadChart1.ClientID%>");
                    var chart2 = $find("<%=RadChart2.ClientID%>");

                    chart1.scroll(chart2.get_xScrollOffset(), chart2.get_yScrollOffset());
                }
            </script>
        </telerik:RadScriptBlock>
        <asp:ScriptManager ID="ScriptManager" runat="server" />
        <telerik:RadAjaxPanel ID="Panel1" runat="server">
            <telerik:RadChart ID="RadChart1" runat="server" AutoLayout="true" OnZoom="RadChart1_Zoom">
                <ClientSettings ScrollMode="XOnly" />
                <Series>
                    <telerik:ChartSeries DataXColumn="ConvertedDate" DataYColumn="YValue" />
                </Series>
                <PlotArea>
                    <XAxis IsZeroBased="false" Visible="False">
                        <Appearance ValueFormat="ShortTime">
                            <LabelAppearance RotationAngle="320" />
                        </Appearance>
                    </XAxis>
                </PlotArea>
                <ChartTitle Visible="false" />
                <Legend Visible="false" />
            </telerik:RadChart>
            <telerik:RadChart ID="RadChart2" runat="server" AutoLayout="true" OnZoom="RadChart2_Zoom">
                <ClientSettings ScrollMode="XOnly" />
                <Series>
                    <telerik:ChartSeries DataXColumn="ConvertedDate" DataYColumn="YValue" />
                </Series>
                <PlotArea>
                    <XAxis IsZeroBased="false">
                        <Appearance ValueFormat="ShortTime">
                            <LabelAppearance RotationAngle="320" />
                        </Appearance>
                    </XAxis>
                </PlotArea>
                <ChartTitle Visible="false" />
                <Legend Visible="false" />
            </telerik:RadChart>
        </telerik:RadAjaxPanel>
    </div>
    </form>
</body>
</html>
